#ifndef MOVIL
#define MOVIL
#include "Objeto.h"

#define SPEEDX	100
#define SPEEDY	100

class Movil:public Objeto
{
	protected:
	int speedX, speedY;
	//muestra la velocidad a la que se me mueve el objeto
	//el signo de estas variables indica el sentido de su direccion.
	SDL_Rect anterior;
	//para que solo se redibuje donde ha estado antes, no todo el fondo
	
	float posX, posY;
	
	public:		
		void setspeedX(int speedX);
		void setspeedY(int speedY);
		int getspeedX();
		int getspeedY();	
		void Dibujar (SDL_Surface * fondo);
		
	
		virtual ~Movil();			
};
#endif MOVIL